# === Environment (.env) example ===
# Target environment: uat or prod
ENV=uat

# OAuth2 client credentials (provided by provider)
CLIENT_ID=zXGd87o83rjjl1qqKrxnzJKkejPY7cW5
CLIENT_SECRET=sSXEYJeG4HuPwL0w

# Scope from the manual
SCOPE=https://api.uat.latam.equifax.com/datos-comerciales/transaction
# Request type: personal or empresarial (if empresarial, chileanSerialNumber will be excluded)
REQUEST_TYPE=empresarial

# === Request payload fields (all are mandatory per spec) ===
CHILEAN_RUT=77827780-8
CHILEAN_SERIAL=A000000002




EQUIFAX_UAT_URL=https://api.uat.latam.equifax.com/datos-comerciales/transaction
EQUIFAX_UAT_TOKEN_URL=https://api.uat.latam.equifax.com/oauth/token
EQUIFAX_PROD_URL=https://api.latam.equifax.com/datos-comerciales/transaction
EQUIFAX_PROD_TOKEN_URL=https://api.latam.equifax.com/oauth/token


EQUIFAX_CLIENT_ID=zXGd87o83rjjl1qqKrxnzJKkejPY7cW5
EQUIFAX_CLIENT_SECRET=sSXEYJeG4HuPwL0w
EQUIFAX_ENVIRONMENT=prod
BILL_TO=142038B003
SHIP_TO=142038B003S0001
PRODUCT_NAME=CLREPORTEEMPRESARIAL
PRODUCT_ORCH=REPORTEEMPRESARIALV1
CONFIGURATION=Config
CUSTOMER=CLREPROCSERV
MODEL=REPROCSERV
# Equifax Cache Configuration
EQUIFAX_CACHE_TTL_SECONDS=604800

